# xqq

> Lightweight Promise-based request library for Node powered by phin

[![xqq on NPM](https://nodei.co/npm/xqq.png)](https://www.npmjs.com/package/xqq)

[![xqq - Downloads Total](https://img.shields.io/npm/dt/xqq.svg)](https://www.npmjs.com/package/xqq) [![xqq - Version](https://img.shields.io/npm/v/xqq.svg)](https://www.npmjs.com/package/xqq) [![xqq - License](https://img.shields.io/npm/l/xqq.svg)](https://www.npmjs.com/package/xqq) [![xqq - Github Stars](https://img.shields.io/github/stars/FuturisticCake/xqq.svg?style=social&label=Star)](https://github.com/FuturisticCake/xqq)

---

## Usage - POST request with data

```javascript
const xqq = require("xqq");

xqq({
    "url": "https://example.com/api",
    "method": "POST",
    "data": {
        "hey": "there"
    }
}).then((res) => {
    console.log("Response body: "+res.body);
}, (err) => {
    console.log("Uh oh... Error: " + err);
});
```

## Installation

```
npm install xqq
```

## Demonstration - Basic GET request

```javascript
xqq("https://example.com").then((res) => {
    console.log("Got body! " + res.body)
}, (err) => {
    console.log("Request failed! "+err);
});
```

# API

A full list of request options can be found at [phin API documentation](https://ethanent.github.io/phin/global.html#phin).
Response object is a [phinResponse object](https://ethanent.github.io/phin/global.html).